Skip to main content
Resource Center/Resource Pool/Image Operations

GetUploadImageJobDetails

GetUploadImageJobDetails

GET/zstack/v1/images/upload-job/details/{imageId}

Operation ID

GetUploadImageJobDetails

Since

4.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • imageId
    StringRequired

    The user-defined image ID. We recommend that you use an MD5 value.

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • existingJobDetails
    ListRequired

    See existingJobDetails.

    • longJobUuid
      StringRequired

      The long job UUID.

    • longJobState
      StringRequired

      The long job state.

    • imageUuid
      StringRequired

      The image UUID.

    • imageUploadUrl
      StringRequired

      The image upload URL.

    • offset
      longRequired

      The upload offset. Unit: bytes.

  • Change Time

    AddedRequest parameters systemTags, userTagsDeletedRequest body fields systemTags, userTags
    View API